﻿<Window x:Class="MobyusTouch.DialogKeypad"
		xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
		xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
		Title="MainWindow" Height="313" Width="299" ShowInTaskbar="False" WindowStyle="None" WindowStartupLocation="CenterScreen" ResizeMode="NoResize" >
    <Window.Resources>
        <DropShadowEffect x:Key="DropShadowEffect" ShadowDepth="1" Direction="-90" BlurRadius="3" />
        <Style TargetType="Label">
            <Setter Property="FontSize" Value="22"/>
            <Setter Property="Label.Effect" Value="{StaticResource DropShadowEffect}"/>
        </Style>
        <LinearGradientBrush x:Key="SteelBackground" EndPoint="0.5,1.272" StartPoint="0.5,0">
            <GradientStop Color="#FF9097A3" Offset="0"/>
            <GradientStop Color="#FF444D5B" Offset="1"/>
        </LinearGradientBrush>

        <Style TargetType="Button">
            <EventSetter Event="Click" Handler="button_Click" />
            <Setter Property="Margin" Value="4"/>
            <Setter Property="Button.Effect" Value="{StaticResource DropShadowEffect}"/>
            <Setter Property="FontSize" Value="22"/>
            <Setter Property="Background" Value="WhiteSmoke"/>
            <Setter Property="RenderTransform">
                <Setter.Value>
                    <!-- Workaround for ATI video cards that don't render good with dropshadoweffect-->
                    <RotateTransform Angle="0.00000000001"/>
                </Setter.Value>
            </Setter>
        </Style>
    </Window.Resources>
    <Grid Background="{DynamicResource SteelBackground}">
        <Grid.RowDefinitions>
            <RowDefinition />
            <RowDefinition />
            <RowDefinition />
            <RowDefinition />
            <RowDefinition />
        </Grid.RowDefinitions>
        <Grid.ColumnDefinitions>
            <ColumnDefinition />
            <ColumnDefinition />
            <ColumnDefinition />
            <ColumnDefinition />
        </Grid.ColumnDefinitions>
        <Button Grid.Row="1" Grid.Column="0" BorderThickness="1" BorderBrush="Gray" CommandParameter="NUMPAD7" >7</Button>
        <Button Grid.Row="1" Grid.Column="1" CommandParameter="NUMPAD8"  BorderThickness="1" Content="8" />
        <Button Grid.Row="1" Grid.Column="2" CommandParameter="NUMPAD9"  Content="9" />
        <Button Grid.Row="1" Grid.Column="3" CommandParameter="BACK" Content="Del"/>
        <Button Grid.Row="2" Grid.Column="0"  x:Name="button9" CommandParameter="NUMPAD4"  Content="4"/>
        <Button Grid.Row="2" Grid.Column="1" CommandParameter="NUMPAD5" Content="5" />
        <Button Grid.Row="2" Grid.Column="2" CommandParameter="NUMPAD6" Content="6" />
        <Button Grid.Row="3" Grid.Column="0" CommandParameter="NUMPAD1" Content="1"/>
        <Button Grid.Row="3" Grid.Column="1" CommandParameter="NUMPAD2" Content="2"/>
        <Button Grid.Row="3" Grid.Column="2" CommandParameter="NUMPAD3" Content="3" />
        <Button Grid.Row="2" Grid.Column="3" Grid.RowSpan="3" CommandParameter="RETURN" Content="Enter"/>
        <Button Grid.Row="4" Grid.Column="0" Grid.ColumnSpan="2"  CommandParameter="NUMPAD0" Content="0" />
        <Button Grid.Row="4" Grid.Column="2" CommandParameter="DECIMAL"	Content="-" />
        <Label Grid.Column="0" Grid.ColumnSpan="3"  Content="{Binding Result}" HorizontalContentAlignment="Right" Background="WhiteSmoke" Margin="4"/>
        <Button Grid.Row="0" Grid.Column="3"	CommandParameter="ESC" Content="Esc" IsCancel="True"/>
    </Grid>
</Window>
